SVNSSLAuthentication (JavaDoc :: Documentation :: Pure Java Subversion (SVN) Client Library)
Keywords: org.tmatesoft.svn.core.auth.SVNSSLAuthentication class

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.auth
Class SVNSSLAuthentication

    java.lang.Object
      org.tmatesoft.svn.core.auth.SVNAuthentication
          org.tmatesoft.svn.core.auth.SVNSSLAuthentication

public class SVNSSLAuthentication
extends SVNAuthentication

The SVNSSLAuthentication class represents user's credentials used to authenticate a user in secure connections. Used along with the `SSL` credential kind.

Since:
  1.2
Version:
  1.3
Author:
  TMate Software Ltd.

Constructor Summary
`SVNSSLAuthentication(File certFile, String password, boolean storageAllowed)` Creates an SSL credentials object.

Method Summary
`File` | `getCertificateFile()` Returns a user's certificate file.
`String` | `getPassword()` Return a user's password.

Methods inherited from class org.tmatesoft.svn.core.auth.SVNAuthentication
`getKind, getUserName, isStorageAllowed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVNSSLAuthentication

    public SVNSSLAuthentication(File certFile,
                                String password,
                                boolean storageAllowed)

  Creates an SSL credentials object.

Parameters:
  `certFile` - user's certificate file
  `password` - user's password
  `storageAllowed` - to store or not this credential in a credentials cache

Method Detail

### getPassword

    public String getPassword()

  Return a user's password.

  Returns:
    a password

### getCertificateFile

    public File getCertificateFile()

  Returns a user's certificate file.

  Returns:
    certificate file

Overview | Package | Class | Tree | Deprecated | Index | Help
| SVNKit Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.